

package gov.va.med.cds.logger;


import gov.va.med.cds.junit.runners.Suite;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.junit.Test;


public class LogApplicationLoggerTest
{
    private Log logger = LogFactory.getLog( LogApplicationLoggerTest.class );


    @Test
    @Suite( groups = "checkintest" )
    public void testLogMessage( )
    {
        LogApplicationLogger appLogger = new LogApplicationLogger( logger );
        appLogger.setLogger( logger );

        appLogger.logMessage( new Exception() );
        appLogger.logMessage( "Error in processing read request", new Exception() );
    }
}
